export default (form, $, SlimSelect, Swal) => {

    let post_form = $(form),
        post_form_id = post_form.attr('id'),
        fe_data = window.editor_data,
        button_menu = post_form.find('.fus-form-block-header .sub-header.top'),
        saveButton = post_form.find('.form-submit'),
        saveDraftButton = post_form.find('.form-save-draft'),
        fixmeTop = button_menu.offset().top,
        post_link = post_form.find('.view-page'),
        post_id = post_form.find('.fus_post_id')


    /**
     * Init post form hook
     */
    window.fe_hooks.do_action('init_post_form')


    $(window).scroll(function () {
        var currentScroll = $(window).scrollTop();
        if (currentScroll >= fixmeTop) {
            button_menu.addClass('sticky');
        } else {                                   // apply position: static
            button_menu.removeClass('sticky');
        }

    });
    

    /**
         * on title click open caret to fist block
         */
        // if (post_title) {
        //     post_title.addEventListener("keyup", (event) => {
        //         if (event.keyCode === 13) {
        //             // Adding caret to fist block
        //             bfe_page_editor.bfee_editor.caret.focus();
        //             bfe_page_editor.bfee_editor.toolbar.open();
        //         }
        //     });
        // }

    /**
     * On form submit
     */
    saveButton.on('click', (ev) => {
        ev.preventDefault()
        window.fe_hooks.do_action('on_post_form_save')
        save_data()
    });

    /**
     * On form draft submit
     */
     saveDraftButton.on('click', (ev) => {
        ev.preventDefault()
        window.fe_hooks.do_action('on_post_form_save')
        save_data(true)
    });


    /**
     * Save data from admin block
     * @param {*} data 
     */
    function save_data(save_to_draft = false) {
        let save_button_messages = fe_data.translations.save_button,
            save_button = document.querySelector(`#${post_form_id} .form-submit`),
            draft_button = document.querySelector(`#${post_form_id} .form-save-draft`),
            thumb_exist = document.querySelector(`#${post_form_id} .image_loader`);

        const formData = new FormData();

        var formArray = post_form.serializeArray(),
            formArray_data = objectifyForm(formArray);

        formArray_data.action = 'bfe_update_post';
        formArray_data.save_to_draft = save_to_draft;

        /**
         * Post image
         */
        if (thumb_exist) {
            let bfe_selected_file = document.querySelector('#img_inp').files[0]
            formArray_data.image = bfe_selected_file;
        }

        /**
         * Sending exist or not post image to understand delete or not it from post
         */
        if (thumb_exist) {
            formArray_data.thumb_exist = thumb_exist.getAttribute('thumb_exist');
        } else {
            formArray_data.thumb_exist = 0;
        }

        /**
         * Updating taxonomy fields
         */
        $('.taxonomy-select').each((index, element) => {
            let element_val = $(element).val(),
                selected_element = element_val.toString(),
                name = $(element).attr('name');
            if (element_val) {
                formArray_data[name] = selected_element;
            } else {
                formArray_data[name] = 'null';
            }
        })

        save_button.disabled = true;

        if(save_to_draft){
            draft_button.disabled = true;
        }

        /**
         * Filter form data
         */
        formArray_data = window.fe_hooks.apply_filters('before_save_form_data', formArray_data, post_form)

        for (var key in formArray_data) {
            formData.append(key, formArray_data[key]);
        }

        fetch(fe_data.ajax_url, {
            method: 'POST',
            body: formData
        })
            .then(response => response.json())
            .then(data => {
                console.log(data);
                if (data.success) {
                    save_button.disabled = false;

                    if(save_to_draft){
                        draft_button.disabled = false;
                    }

                    /**
                     * New post add link and show the button
                     */
                    post_link.attr('href', data.data.url);
                    post_link.removeClass("hidden");

                    post_form.attr('post_id', data.data.post_id)
                    post_id.val(data.data.post_id)

                    Swal.fire({
                        position: 'bottom-end',
                        icon: 'success',
                        title: data.data.message,
                        showConfirmButton: false,
                        timer: 2500
                    })
                } else {
                    save_button.disabled = false;

                    if(save_to_draft){
                        draft_button.disabled = false;
                    }

                    Swal.fire({
                        position: 'bottom-end',
                        icon: 'error',
                        text: 'Something goes wrong try later',
                        title: 'Oops',
                        showConfirmButton: false,
                        timer: 2500
                    })
                }
            }).catch()
    }

    function objectifyForm(formArray) {
        //serialize data function
        var returnArray = {};
        for (var i = 0; i < formArray.length; i++) {
            returnArray[formArray[i]['name']] = formArray[i]['value'];
        }
        return returnArray;
    }


}



